## debian-cd 2.2.20

=== Makefile ===
#!/usr/bin/make -f

# Main Makefile for YACS
#
# Copyright 1999 Raphal Hertzog <hertzog@debian.org>
# See the README file for the license

# The environment variables must have been set
# before. For this you can source the CONF.sh 
# file in your shell


## DEFAULT VALUES
ifndef VERBOSE_MAKE
Q=@
endif
ifndef SIZELIMIT
SIZELIMIT=$(shell echo -n $$[ 610 * 1024 * 1024 ])
endif
ifndef TASK
TASK=$(BASEDIR)/tasks/Debian_$(CODENAME)
endif
ifndef CAPCODENAME
CAPCODENAME:=$(shell perl -e "print ucfirst("$(CODENAME)")")
endif
ifndef BINDISKINFO
export BINDISKINFO="Debian GNU/Linux $(DEBVERSION) \"$(CAPCODENAME)\" - $(OFFICIAL) $(ARCH) Binary-$$num ($$DATE)"
endif
ifndef SRCDISKINFO
export SRCDISKINFO="Debian GNU/Linux $(DEBVERSION) \"$(CAPCODENAME)\" - $(OFFICIAL) Source-$$num ($$DATE)"
endif
# ND=No-Date versions for README
ifndef BINDISKINFOND
export BINDISKINFOND="Debian GNU/Linux $(DEBVERSION) \"$(CAPCODENAME)\" - $(OFFICIAL) $(ARCH) Binary-$$num"
endif
ifndef SRCDISKINFOND
export SRCDISKINFOND="Debian GNU/Linux $(DEBVERSION) \"$(CAPCODENAME)\" - $(OFFICIAL) Source-$$num"
endif
ifndef BINVOLID
ifeq ($(ARCH),powerpc)
BINVOLID="Debian $(DEBVERSION) ppc Bin-$$num"
else
BINVOLID="Debian $(DEBVERSION) $(ARCH) Bin-$$num"
endif
endif
ifndef SRCVOLID
SRCVOLID="Debian $(DEBVERSION) Src-$$num"
endif
ifndef MKISOFS
export MKISOFS=/usr/bin/mkisofs
endif
ifndef MKISOFS_OPTS
#For normal users
MKISOFS_OPTS=-r
#For symlink farmers
#MKISOFS_OPTS=-r -F .
endif
ifndef HOOK
HOOK=$(BASEDIR)/tools/$(CODENAME).hook
endif
ifneq "$(wildcard $(MIRROR)/dists/$(DI_CODENAME)/main/disks-$(ARCH))" ""
ifndef BOOTDISKS
export BOOTDISKS=$(MIRROR)/dists/$(DI_CODENAME)/main/disks-$(ARCH)
endif
endif
ifndef DOJIGDO
export DOJIGDO=0
endif
ifndef JIGDOSCRIPT
JIGDOSCRIPT=$(BASEDIR)/tools/jigdo_header
endif

ifndef UDEB_INCLUDE
# Netinst/businesscard CD have different udeb_include files
ifeq ($(INSTALLER_CD),1)
UDEB_INCLUDE=$(BASEDIR)/data/$(DI_CODENAME)/$(ARCH)_businesscard_udeb_include
endif
ifeq ($(INSTALLER_CD),2)
UDEB_INCLUDE=$(BASEDIR)/data/$(DI_CODENAME)/$(ARCH)_netinst_udeb_include
endif
endif
# Default udeb_include files.
ifndef UDEB_INCLUDE
UDEB_INCLUDE=$(BASEDIR)/data/$(DI_CODENAME)/$(ARCH)_udeb_include
endif


## Internal variables  
apt=$(BASEDIR)/tools/apt-selection
list2cds=$(BASEDIR)/tools/list2cds
cds2src=$(BASEDIR)/tools/cds2src
master2tasks=$(BASEDIR)/tools/master2tasks
mirrorcheck=$(BASEDIR)/tools/mirror_check
add_packages=$(BASEDIR)/tools/add_packages
add_dirs=$(BASEDIR)/tools/add_dirs
add_bin_doc=$(BASEDIR)/tools/add-bin-doc
scanpackages=$(BASEDIR)/tools/scanpackages
scansources=$(BASEDIR)/tools/scansources
add_files=$(BASEDIR)/tools/add_files
set_mkisofs_opts=$(BASEDIR)/tools/set_mkisofs_opts
strip_nonus_bin=$(BASEDIR)/tools/strip-nonUS-bin
add_secured=$(BASEDIR)/tools/add_secured
md5sum=/usr/bin/md5sum.textutils
fastsums=$(BASEDIR)/tools/fast_sums

BDIR=$(TDIR)/$(CODENAME)-$(ARCH)
ADIR=$(APTTMP)/$(CODENAME)-$(ARCH)
SDIR=$(TDIR)/$(CODENAME)-src

FIRSTDISKS=CD1 
ifdef FORCENONUSONCD1
FIRSTDISKS=CD1 CD1_NONUS
forcenonusoncd1=1
else
forcenonusoncd1=0
endif

## DEBUG STUFF ##

PrintVars:
	@num=1; \
	DATE=`date +%Y%m%d` ; \
	echo BINDISKINFO: ; \
        echo $(BINDISKINFO) ; \
	echo SRCDISKINFO: ; \
        echo $(SRCDISKINFO) ; \
	echo BINDISKINFOND: ; \
        echo $(BINDISKINFOND) ; \
	echo SRCDISKINFOND: ; \
        echo $(SRCDISKINFOND) ; \
	echo BINVOLID: ; \
        echo $(BINVOLID) ; \
	echo SRCVOLID: ; \
        echo $(SRCVOLID) ; \

default:
	@echo "Please refer to the README file for more information"
	@echo "about the different targets available."

## CHECKS ##

# Basic checks in order to avoid problems
ok:
ifndef TDIR
	@echo TDIR undefined -- set up CONF.sh; false
endif
ifndef BASEDIR
	@echo BASEDIR undefined -- set up CONF.sh; false
endif
ifndef MIRROR
	@echo MIRROR undefined -- set up CONF.sh; false
endif
ifndef ARCH
	@echo ARCH undefined -- set up CONF.sh; false
endif
ifndef CODENAME
	@echo CODENAME undefined -- set up CONF.sh; false
endif
ifndef OUT
	@echo OUT undefined -- set up CONF.sh; false
endif
ifdef NONFREE
ifdef EXTRANONFREE
	@echo Never use NONFREE and EXTRANONFREE at the same time; false
endif
endif
ifdef FORCENONUSONCD1
ifndef NONUS
	@echo If we have FORCENONUSONCD1 set, we must also have NONUS set; false
endif
endif
ifneq "$(DOJIGDO)" "0"
ifndef JIGDOCMD
	@echo JIGDOCMD undefined -- set up CONF.sh; false
endif
else
export JIGDOCMD=false
endif

## INITIALIZATION ##

# Creation of the directories needed
init: ok $(OUT) $(TDIR) $(BDIR) $(SDIR) $(ADIR) unstable-map
$(OUT):
	$(Q)mkdir -p $(OUT)
$(TDIR):
	$(Q)mkdir -p $(TDIR)
$(BDIR):
	$(Q)mkdir -p $(BDIR)
$(SDIR):
	$(Q)mkdir -p $(SDIR)
$(ADIR):
	$(Q)mkdir -p $(ADIR)
	$(Q)mkdir -p $(ADIR)/apt-ftparchive-db
# Make sure unstable/sid points to testing/sarge, as there is no build
# rule for unstable/sid.
unstable-map:
	$(Q)if [ ! -d $(BASEDIR)/data/sid ] ; then \
		ln -s sarge $(BASEDIR)/data/sid ; \
	fi
	$(Q)if [ ! -d $(BASEDIR)/tools/boot/sid ] ; then \
		ln -s sarge $(BASEDIR)/tools/boot/sid ; \
	fi

## CLEANINGS ##

# CLeans the current arch tree (but not packages selection info)
clean: ok bin-clean src-clean
bin-clean:
	$(Q)rm -rf $(BDIR)/CD[1234567890]*
	$(Q)rm -rf $(BDIR)/*_NONUS
	$(Q)rm -f $(BDIR)/*.filelist*
	$(Q)rm -f  $(BDIR)/packages-stamp $(BDIR)/bootable-stamp \
	         $(BDIR)/upgrade-stamp $(BDIR)/secured-stamp
src-clean:
	$(Q)rm -rf $(SDIR)/CD[1234567890]*
	$(Q)rm -rf $(SDIR)/*_NONUS
	$(Q)rm -rf $(SDIR)/sources-stamp $(SDIR)/secured-stamp

# Completely cleans the current arch tree
realclean: distclean
distclean: ok bin-distclean src-distclean
bin-distclean:
	$(Q)echo "Cleaning the binary build directory"
	$(Q)rm -rf $(BDIR)
	$(Q)rm -rf $(ADIR)
	$(Q)rm -rf $(TDIR)/jigdofilelist
src-distclean:
	$(Q)echo "Cleaning the source build directory"
	$(Q)rm -rf $(SDIR)
	$(Q)rm -rf $(TDIR)/jigdofilelist

## STATUS and APT ##

# Regenerate the status file with only packages that
# are of priority standard or higher
status: init $(ADIR)/status
$(ADIR)/status:
	@echo "Generating a fake status file for apt-get and apt-cache..."
	$(Q)if [ "$(INSTALLER_CD)" = "1" -o "$(INSTALLER_CD)" = "2" ];then \
		:> $(ADIR)/status ; \
	else \
		zcat $(MIRROR)/dists/$(CODENAME)/main/binary-$(ARCH)/Packages.gz | \
		perl -000 -ne 's/^(Package: .*)$$/$$1\nStatus: install ok installed/m; \
	               print if (/^Priority: (required|important|standard)/m or \
		       /^Section: base/m);' \
		> $(ADIR)/status ; \
	fi
	# Updating the apt database
	$(Q)$(apt) update
	#
	# Checking the consistence of the standard system
	# If this does fail, then launch make correctstatus
	#
	$(Q)$(apt) check || $(MAKE) correctstatus

# Only useful if the standard system is broken
# It tries to build a better status file with apt-get -f install
correctstatus: status apt-update
	# You may need to launch correctstatus more than one time
	# in order to correct all dependencies
	#
	# Removing packages from the system :
	$(Q)set -e; \
	for i in `$(apt) deselected -f install`; do \
		echo $$i; \
		perl -i -000 -ne "print unless /^Package: \Q$$i\E/m" \
		$(ADIR)/status; \
	done
	#
	# Adding packages to the system :
	$(Q)set -e; \
	for i in `$(apt) selected -f install`; do \
	  echo $$i; \
	  $(apt) cache dumpavail | perl -000 -ne \
	      "s/^(Package: .*)\$$/\$$1\nStatus: install ok installed/m; \
	       print if /^Package: \Q$$i\E\s*\$$/m;" \
	       >> $(ADIR)/status; \
	done
	#
	# Showing the output of apt-get check :
	$(Q)$(apt) check

apt-update: status
	@echo "Apt-get is updating his files ..."
	$(Q)$(apt) update


## GENERATING LISTS ##

# Deleting the list only
deletelist: ok
	$(Q)-rm $(BDIR)/rawlist
	$(Q)-rm $(BDIR)/rawlist-exclude
	$(Q)-rm $(BDIR)/list
	$(Q)-rm $(BDIR)/list.exclude

# Generates the list of packages/files to put on each CD
list: bin-list src-list

# Generate the listing of binary packages
bin-list: ok apt-update genlist $(BDIR)/1.packages
$(BDIR)/1.packages:
	@echo "Dispatching the packages on all the CDs ..."
	$(Q)$(list2cds) $(BDIR)/list $(SIZELIMIT)
ifdef FORCENONUSONCD1
	$(Q)set -e; \
	 for file in $(BDIR)/*.packages; do \
	    newfile=$${file%%.packages}_NONUS.packages; \
	    cp $$file $$newfile; \
	    $(strip_nonus_bin) $$file $$file.tmp; \
	    if (cmp -s $$file $$file.tmp) ; then \
	        rm -f $$file.tmp $$newfile ; \
	    else \
	        echo Splitting non-US packages: $$file and $$newfile ; \
	        mv -f $$file.tmp $$file; \
	    fi ;\
	done
endif

# Generate the listing for sources CDs corresponding to the packages included
# in the binary set
src-list: bin-list $(SDIR)/1.sources
$(SDIR)/1.sources:
	@echo "Dispatching the sources on all the CDs ..."
	$(Q)$(cds2src) $(SIZELIMIT)
ifdef FORCENONUSONCD1
	$(Q)set -e; \
	 for file in $(SDIR)/*.sources; do \
	    newfile=$${file%%.sources}_NONUS.sources; \
	    cp $$file $$newfile; \
	    grep -v non-US $$file >$$file.tmp; \
	    if (cmp -s $$file $$file.tmp) ; then \
	        rm -f $$file.tmp $$newfile ; \
	    else \
	        echo Splitting non-US sources: $$file and $$newfile ; \
	        mv -f $$file.tmp $$file; \
	    fi ;\
	done
endif

# Generate the complete listing of packages from the task
# Build a nice list without doubles and without spaces
genlist: ok $(BDIR)/list $(BDIR)/list.exclude
$(BDIR)/list: $(BDIR)/rawlist
	@echo "Generating the complete list of packages to be included ..."
	$(Q)perl -ne 'chomp; next if /^\s*$$/; \
	          print "$$_\n" if not $$seen{$$_}; $$seen{$$_}++;' \
		  $(BDIR)/rawlist \
		  > $(BDIR)/list


$(BDIR)/list.exclude: $(BDIR)/rawlist-exclude
	@echo "Generating the complete list of packages to be removed ..."
	$(Q)perl -ne 'chomp; next if /^\s*$$/; \
	          print "$$_\n" if not $$seen{$$_}; $$seen{$$_}++;' \
		  $(BDIR)/rawlist-exclude \
		  > $(BDIR)/list.exclude

# Build the raw list (cpp output) with doubles and spaces
$(BDIR)/rawlist:
# Dirty workaround for saving space on netinst images, we add some hints.
# This is just a temporal solution, list2cds should be a little bit less
# silly so that this is not needed. For more info have a look at
# http://lists.debian.org/debian-cd/2004/debian-cd-200404/msg00093.html
ifneq ($(INSTALLER_CD),1)
	/bin/echo -e "mawk\nexim4-daemon-light\nunifont" >>$(BDIR)/rawlist
endif
ifdef FORCENONUSONCD1
	$(Q)$(apt) cache dumpavail | \
		grep-dctrl -FSection -n -sPackage -e '^(non-US|non-us)' - | \
		sort | uniq > $(BDIR)/Debian_$(CODENAME)_nonUS
endif
	$(Q)if [ -x "/usr/sbin/debootstrap" -a _$(INSTALLER_CD) != _1 ]; then \
		/usr/sbin/debootstrap --arch $(ARCH) --print-debs $(CODENAME) \
		| tr ' ' '\n' >>$(BDIR)/rawlist; \
	fi
	$(Q)perl -npe 's/\@ARCH\@/$(ARCH)/g' $(TASK) | \
	 cpp -nostdinc -nostdinc++ -P -undef -D ARCH=$(ARCH) -D ARCH_$(subst -,_,$(ARCH)) \
	     -U $(ARCH) -U i386 -U linux -U unix \
	     -DFORCENONUSONCD1=$(forcenonusoncd1) \
	     -I $(BASEDIR)/tasks -I $(BDIR) - - >> $(BDIR)/rawlist

# Build the raw list (cpp output) with doubles and spaces for excluded packages
$(BDIR)/rawlist-exclude:
	$(Q)if [ -n "$(EXCLUDE)" ]; then \
	 	perl -npe 's/\@ARCH\@/$(ARCH)/g' $(EXCLUDE) | \
			cpp -nostdinc -nostdinc++ -P -undef -D ARCH=$(ARCH) -D ARCH_$(subst -,_,$(ARCH)) \
				-U $(ARCH) -U i386 -U linux -U unix \
	     			-DFORCENONUSONCD1=$(forcenonusoncd1) \
	     			-I $(BASEDIR)/tasks -I $(BDIR) - - >> $(BDIR)/rawlist-exclude; \
	else \
		echo > $(BDIR)/rawlist-exclude; \
	fi

## DIRECTORIES && PACKAGES && INFOS ##

# Create all the needed directories for installing packages (plus the
# .disk directory)
tree: bin-tree src-tree
bin-tree: ok bin-list $(BDIR)/CD1/debian
$(BDIR)/CD1/debian:
	@echo "Adding the required directories to the binary CDs ..."
	$(Q)set -e; \
	 for i in $(BDIR)/*.packages; do \
		dir=$${i%%.packages}; \
		dir=$${dir##$(BDIR)/}; \
		dir=$(BDIR)/CD$$dir; \
		mkdir -p $$dir; \
		$(add_dirs) $$dir; \
	done

src-tree: ok src-list $(SDIR)/CD1/debian
$(SDIR)/CD1/debian:
	@echo "Adding the required directories to the source CDs ..."
	$(Q)set -e; \

=== debian/changelog ===
debian-cd (2.2.20) unstable; urgency=medium

  * Joey Hess
    - Remove bogus init=/linuxrc, we have not had a linuxrc in d-i for a long
      time and I don't know how that managed to work.
    - Update path to ia64 cdrom/boot.img.
    - Tweaked exclude-udebs-i386, removing fat-modules as it's not available
      otherwise if booting from floppy, and removing excludes of partconf,
      partitioner, and discover2-data-udeb, which are not in unstable for i386
      any longer.
    - Updated exclude-udebs to match the current CD initrd package list.
    - Access floppy reorg.
    - Sparc daily builds moved to joshk's builds.
    - Update tasks for 2.4.27 and 2.6.8 kernels.
    - Remove access floppies to save space on netinsts. Also remove
      net-drivers floppy and some other things not really needed for install
      from CD.
    - Add 2.6 kernels to ia64 netinst CDs (and incidentially, update to
      2.4.27).
    - Drop i386 floppies that have gone away in d-i.
    - Put 2.4, not 2.6 kernels on hppa cd.
  * Stephen R. Marenka
    - Add support for m68k reorganization.
    - Bump m68k 2.4 kernels to 2.4.27.
    - Handle missing m68k/bvme6000 floppy.
  * Petter Reinholdtsen
    - New variable SPLASHPNG pointing to replacement splash image on i386.
  * Kenshi Muto
    - Fix cp routine around EXTRA_DISK_IMAGES in tools/boot/sarge/boot-i386
      (add space to cp arguments)
    - Add floppy/asian-root.img, floppy/mideast-root.img and
      floppy/cyrillic-root.img to EXTRA_DISK_IMAGES (but may it be treated
      as DISK_IMAGES?)
    - Fix typo in test evaluation. (tools/boot/sarge/boot-i386)
    - Add localization-config.
  * Colin Watson
    - Add "--" end of installer kernel params markers to yaboot.conf.
    - Drop compatibility with old powerpc 2.4/2.6 d-i image layout, since
      the changed image layout reached sarge a while ago.
    - Remove 2.4 images from power3 and power4; those few who want them can
      netboot.
    - Remove 2.6 PReP images from power3 and power4, as no such machines
      exist.
    - Hardlink powerpc and powerpc/minimal vmlinux files together, since
      they're identical.
    - Remove powerpc-small-pmac kernel from the netinst. base-installer
      hasn't installed it since April, and according to Sven it's only
      useful for building floppies.
  * Santiago Garcia
    - Try to fix powerpc DVD builds via -hfs-parms MAX_XTCSIZE.
    - Add prep powerpc support.
    - Update debian-installer tasks.
    - Add tools/calc script to update .calc files with up to date
      estimations on the iso size parameters.
  * Thiemo Seufer
    - Add arcboot to the mips tasks/base-sarge list, like it is done for
      other bootloaders.
    - Add a default bootfile named sashARCS for mips, aliased to r4k-ip22.
  * Joshua Kwan
    - Add ramdisk_size=16384 to silo.conf. closes: #274958
  * Steve McIntyre
    - Another upload before sarge.
	
 -- Steve McIntyre <93sam@debian.org>  Fri,  22 Oct 2004 21:12:15 +0100

debian-cd (2.2.19) unstable; urgency=medium

  * Steve McIntyre
    - (Hopefully this time) Final medium-urgency upload to get a
      recent debian-cd in before the sarge release. A few bugfixes needed:
    - Removed silly build-dep-indep on mkisofs. Closes: #258018
    - Fixed typo in tools/boot/sarge/boot-i386. Closes: #267026
  * Santiago Garcia
    - Change build.sh to allow building non complete CDs, like netinsts.

 -- Steve McIntyre <93sam@debian.org>  Fri, 20 Aug 2004 14:59:11 +0100

debian-cd (2.2.18) unstable; urgency=medium

  * Steve McIntyre
    - Final medium-urgency upload to get a recent debian-cd in before
      the sarge release.
    - Update default version to sarge/3.1 for a sarge release.
    - Sarge is going to have more than 9 CDs; make sure we clean up all of
      the working dirs.
    - Removed the -T option to mkisofs. We don't need the TRANS.TBL files
      any more, and we should save the space.
    - Added support for SIZE_MULT_x when calculating full disc
      sizes. Best use is on m68k and powerpc images where HFS hybrid
      metadata seems to add ~10% to the size of the image.
    - Various updates to update-cd to cope with changes r0->r2.
    - Updated copy of CONF.sh in debian directory to match the working copy in .
    - Small lintian fixes.
  * Raphael Hertzog
    - Add missing Build-Depends-Indep. Closes: #258018
    - Remove debian-keyring.tar.gz from the doc dir.
    - Don't include Contents-$ARCH.gz on netinst/businesscard CD.
  * Joey Hess
    - Include sarge installation manual on sarge CDs.
    - Remove install/doc, and just use doc/install.
    - Patch from Thiemo Seufer to add mips and mipsel kernels.
      Also, remove some packages from arches that do not need them.
    - Remove module-init-tools-udeb from the CD.
    - Remove raidtools2-udeb from the exclude list, while nothing depends on
      it, it can be handy for manually setting up raid.
    - discover has been renamed to discover1
    - On i386, include discover on the CD as well, this is discover verson
      2, and is used with the 2.6 kernel.
    - Based on user reports, remove the read-only, and pass "rw" to the kernel
      in silo.conf.
    - Include only 2.4 ia64 kernels on the d-i CD for now, the 2.6 ones
      are not a good choice ATM according to bdale.
    - silo.conf fixes.
    - Fix mirror_check to look under LOCALDEBS for files if it is set.
    - Add mdadm to the netinst CD, needed for software raid installs.
    - Add lvm2 (and dependencies libdevmapper1.00 and lvm-common)
      for new partman. Left lvm10 on the CD for now, remove later.
    - Add jfsutils to netinst cds.
    - Add usbutils to netinst cds, it'll be installed by a future version
      of hw-detect.
    - Add tools/get_diskusage.pl (originally by Petter).
    - Add update-popcon Makefile target (taken from Skolelinux).
    - Add a KERNEL_PARAMS variable, which can be used to add kernel parameters
      and is useful for creating things like CDs that install in critical


=== debian/control ===
Source: debian-cd
Section: admin
Priority: extra
Maintainer: Raphael Hertzog <hertzog@debian.org>
Uploaders: Steve McIntyre <93sam@debian.org>
Build-Depends-Indep: debhelper (>= 4), sysutils
Standards-Version: 3.6.1.0

Package: debian-cd
Architecture: all
Depends: perl, cpp, libdigest-md5-perl, sysutils, apt (>= 0.3.11.1), make, mkisofs | mkhybrid, lynx, grep-dctrl, apt-utils (>= 0.5.4), debootstrap, bc
Recommends: hfsutils, debianutils (>= 1.6), jigdo-file (>= 0.7.0)
Suggests: palo (>= 0.94), binutils-multiarch
Description: Tools for building (Official) Debian CD set
 Debian-cd is the official tool for building Debian CD set since the potato
 release. It was formerly called YACS (for Yet Another CD Script).
 .
 Its goal is to facilitate the creation of customized Debian CD set.

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Christoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DH_COMPAT=4

build: build-stamp
build-stamp:
	dh_testdir

	#CONFIGURE#
	# Add here commands to compile the package.
	#$(MAKE) 

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	# Add here commands to clean up after the build process.
	#-#CLEAN#

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	cp -r tools tasks data Makefile README README.devel build.sh \
              build_all.sh update-cd debian/debian-cd/usr/share/debian-cd/
	cp debian/CONF.sh debian/debian-cd/etc/debian-cd/conf.sh
	ln -sf /etc/debian-cd/conf.sh \
               debian/debian-cd/usr/share/debian-cd/CONF.sh
	find debian/debian-cd -name 'CVS' | xargs -r rm -rf
	find debian/debian-cd -name '.#*' | xargs -r rm -f
	find debian/debian-cd/usr/share/debian-cd/tools/boot \
	  \( -name 'boot-*' -o -name 'post-boot-*' \) -a \! -name '*.txt' \
	  -a \! -name '*.calc' |  xargs chmod 0755

	touch install-stamp

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

# Build architecture-independent files here.
binary-indep: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs README*
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installinit
	dh_installcron
	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here
#	dh_makeshlibs
	dh_installdeb
#	dh_perl 
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## debian-cd 2.2.22

=== Makefile ===
--- 
+++ 
@@ -193,7 +193,7 @@
 	$(Q)mkdir -p $(ADIR)
 	$(Q)mkdir -p $(ADIR)/apt-ftparchive-db
 # Make sure unstable/sid points to testing/sarge, as there is no build
-# rule for unstable/sid.
+# rule for unstable/sid. TODO: switch it to point to etch.
 unstable-map:
 	$(Q)if [ ! -d $(BASEDIR)/data/sid ] ; then \
 		ln -s sarge $(BASEDIR)/data/sid ; \
@@ -413,4 +413,3 @@
 src-tree: ok src-list $(SDIR)/CD1/debian
 $(SDIR)/CD1/debian:
 	@echo "Adding the required directories to the source CDs ..."
-	$(Q)set -e; \

=== debian/changelog ===
debian-cd (2.2.22) unstable; urgency=critical

  * Steve McIntyre
    - Prepared YA "last before sarge" debian-cd release
    - Urgency "Critical" to make sure we make it in...
  * Joey Hess
    - Add post-sarge udebs rescue-check, initrd-preseed, and preseed-common
      to the udeb exclude list since these will be/are inluded on sid initrds.
    - Add etch directories; point sid symlinks to them.
    - Add rescue stanzas to etch isolinux.cfg. Rescue mode is supported in
      post-sarge d-i images only.
    - Add support for f4.txt that is for systems with the 2.6 kernel.
    - Exclude new mouse-modules udebs from CDs until something in d-i uses
      them.
    - debian-installer task files renamed to include distro name and branched
      for etch.
  * Steve McIntyre
    - Make woody's post-boot-mipsel script cope with extra fields in the
      output of sarge's isoinfo
    - Add Suggests: on netpbm and syslinux. Closes: #301345
    - Count the total number of binary and source discs better; sarge can
      have more than 9 CDs, so ?.packages doesn't cut it any more.
    - Don't copy the whole d-i cdrom directory onto CD1 for amd64.
      Closes: #306926
    - Don't copy boot.img.gz onto amd64 CD1.
    - Added Manty's testingcds script as an example of debian-cd use
    - Updated sarge task lists to match the latest sarge CD build
  * Santiago Garcia
    - Allow the usage of a local mirror of the daily d-i builds to be used
      for sid_d-i builds, this is done by setting DI_WWW_HOME=default and
      DI_DIR=/path/to/the/mirror
    - Add autorun capabilities to i386 cds so that instead of getting the
      "what do you want Windows to do" question under XP, we get the html
      README started. Closes: #185238
    - Make the jigdos use the same naming scheme as the isos, as per my
      proposal to the list.
    - Add some amd64 patches from Goswin: Fixed boot-amd64 and added
      some packages missing on netinsts.
    - Port to etch previous changes I commited for sarge.

 -- Steve McIntyre <93sam@debian.org>  Wed, 01 Jun 2005 13:04:33 +0100

debian-cd (2.2.21) unstable; urgency=low

  * Steve McIntyre:
    - Prepared YA "last before sarge" debian-cd release.
  * Raphael Hertzog
    - One line patch to correct a five year old bug that nobody noticed !
      Closes: #285382
    - Change maintainer to "Debian CD Group <debian-cd@lists.debian.org>" and
      put myself into Uploaders (as well as Santiago Garcia Mantinan & Steve
      McIntyre). That's because I'm not keeping up well enough with debian-cd
      and I need more people involved in managing bugs.
    - Apply patch from Horms <horms@debian.org> to fix some problems with
      inclusion of local udebs. Closes: #258029
    - Apply another patch from horsm@debian.org to try to look for d-i images
      in "local" dirs first. Closes: #258026
    - Use LC_ALL=C when calling apt-cache since the output is now translated.
      Closes: #290959
  * Steve McIntyre
    - Substantially updated update-cd:
       - Cope with Woody r3 updates taking more than 1 CD per
         architecture.
       - (Optionally) use JTE mkisofs extensions to create jigdo
         files directly.
    - Added amd64 support in several places, looking (oddly) very similar
      to i386 for now. The help texts displayed by isolinux at boot still
      need updating - HELP!
  * Stephen R. Marenka
    - m68k: add kernel-image-2.4.27-amiga to debian-installer+kernel.
  * Santiago Garcia
    - Update debian-installer's tasks.
    - Update calc script and calc files.
    - Make i386 cds 8.3 filenaming compatible again.
    - Workaround the two kernels problem on hppa.
    - Fix the kernel-image-2.4.27-amiga thing on generate_di+k_list.
    - Add support for arm to generate_di+k_list.
  * Joey Hess again:
    - Since amd64 is not on standard debian mirrors, and generate_d-i+k_list
      must be runnable on them, make it chack for absence of amd64 Packages
      files and add a dummy kernel for amd64. This will need to be manually
      kept up-to-date by the amd64 people for now.
    - Didn't fix generate_di_list the same way, since doing so would be too
      hard. Next time tasks/debian-installer is updated using this script on
      a machine w/o the unofficial amd64 archive, the am64 info in the file
      will be lost.
    - Add DO NOT EDIT warning messages to generated files in cvs.
    - Check and revert manual modifications to tasks/base-sarge. This file is
      automatically generated and those mods would have been lost:
        - Add fileutils to generate_d-i+k_list, "until kernels get fixed",
          whatever that means.
        - arcboot was already in generate_d-i+k_list.
    - Update tasks/debian-installer+kernel using generate_d-i+k_list.
    - Sort package lists in tasks/base-sarge to ease comparisons when
      updating.
    - Update tasks/base-sarge for debootstrap 0.2.45. This includes the
      following removals:
         - aboot: already listed in debian-installer+kernel
         - gcc-3.2-base, libdb2, libgcrypt1, libgnutls7, libident,
           libdb2, libtasn1-0: obsolete
         - modconf: obsoleted by d-i
         - setserial: not base anymore
         - slang1: turned into slang1a-utf8
         - libident: not needed by base anymore
         - lilo: in debian-installer+kernel
         - mbr: not installed anymore
         - pcmcia-cs: in debian-installer+kernel
         - syslinux: not installed
         - "filesutils": typo; fileutils in generate_d-i+k_list for m68k
         - quik: in debian-installer+kernel
         - yaboot: in debian-installer+kernel
         - arcboot: in debian-installer+kernel
         - delo: in debian-installer+kernel
      And the following additions:
         - libdb4.2, libgcrypt11, libgcrypt7, libgnutls10, libgnutls11,
           libgpg-error0, libtasn1-2: new libraries
         - console-tools: now installed by debootstrap even on s390


=== debian/control ===
Source: debian-cd
Section: admin
Priority: extra
Maintainer: Debian CD Group <debian-cd@lists.debian.org>
Uploaders: Raphael Hertzog <hertzog@debian.org>, Santiago Garcia Mantinan <manty@debian.org>, Steve McIntyre <93sam@debian.org>
Build-Depends-Indep: debhelper (>= 4), sysutils
Standards-Version: 3.6.1.0

Package: debian-cd
Architecture: all
Depends: perl, cpp, libdigest-md5-perl, sysutils, apt (>= 0.3.11.1), make, mkisofs | mkhybrid, lynx, grep-dctrl, apt-utils (>= 0.5.4), debootstrap, bc
Recommends: hfsutils, debianutils (>= 1.6), jigdo-file (>= 0.7.0)
Suggests: palo (>= 0.94), binutils-multiarch, netpbm, syslinux
Description: Tools for building (Official) Debian CD set
 Debian-cd is the official tool for building Debian CD set since the potato
 release. It was formerly called YACS (for Yet Another CD Script).
 .
 Its goal is to facilitate the creation of customized Debian CD set.

=== debian/rules ===
--- 
+++ 
@@ -59,7 +59,7 @@
 	dh_testdir
 	dh_testroot
 	dh_installdocs README*
-	dh_installexamples
+	dh_installexamples contrib/testingcds
 	dh_installmenu
 #	dh_installemacsen
 #	dh_installinit

## debian-cd 2.2.23

=== Makefile ===
--- 
+++ 
@@ -100,7 +100,7 @@
 set_mkisofs_opts=$(BASEDIR)/tools/set_mkisofs_opts
 strip_nonus_bin=$(BASEDIR)/tools/strip-nonUS-bin
 add_secured=$(BASEDIR)/tools/add_secured
-md5sum=/usr/bin/md5sum.textutils
+md5sum=/usr/bin/md5sum
 fastsums=$(BASEDIR)/tools/fast_sums
 
 BDIR=$(TDIR)/$(CODENAME)-$(ARCH)
@@ -413,3 +413,4 @@
 src-tree: ok src-list $(SDIR)/CD1/debian
 $(SDIR)/CD1/debian:
 	@echo "Adding the required directories to the source CDs ..."
+	$(Q)set -e; \

=== debian/changelog ===
debian-cd (2.2.23) unstable; urgency=low

  * Raphael Hertzog
    - Patch from Sven Luther for pegasos support already applied
      by Steve McIntyre. Closes: #311925
  * Steve McIntyre
    - Added sed hack to make sarge appear as "stable" in the Release
      files we generate on the CDs (for the sarge release). Removed the
      hack sgain before the 2.2.23 package build.
    - Download the release notes and try to fit them onto
      CD#1. Updated sarge's README.html.in to point to them
    - Updated tools/add-bin-doc to stop warnings on this.
    - Added patch from Sven Luther to add a forth script to make
 	  ppc/pegasos easier to boot.  Closes: #311925
    - Re-add the kernel-headers packages to match kernel images (only
      on i386 and amd64). Closes: #249386
    - Made list2cds more verbose
    - Added tools/sarge/upgrade-hppa.sh and tools/sarge/upgrade-sparc.sh
      to install the upgrade-kernel bits on CD#1
    - Added tools/dedicated_source: simple script used to add extra
      source packages onto _binary_ CDs. Used for the amd64 sarge release
      so far.
    - Added patch from Frans Pop to use $CODENAME for exclusions.
      Closes: #320206
    - We no longer need to use md5sum.textutils, as dpkg no longer ships a
      non-64-clean version. We can now just use plain "md5sum".
      Closes: #313613
  * Joey Hess
    - Synced up all sarge changes to etch.
    - Use dpkg --print-architecture instead of now-deprecated
      --print-installation-architecture
    - Completed access cd-drivers transition.
    - d-i renamed syslinux.txt to boot.txt, us new name instead of
      renaming file from d-i.
    - Use isolinux config files included in the d-i debian-cd_info tarball
      so it does not need to be maintained in both places.
    - Repository moved to svn, update docs to reflect move.
    - Add hw-detect-full to exclude list for etch, renamed to disk-detect.
    - Switch mipsel to use my builds.
    - Applied s390 boot support patch by Frans Pop. Closes: #318021
    - partman udeb renamed to partman-base
  * Stephen R. Marenka
    - Changed m68k boot for etch to handle etch changes in d-i.

 -- Steve McIntyre <93sam@debian.org>  Tue, 23 Aug 2005 00:02:40 +0100

=== debian/rules ===
--- 
+++ 
@@ -41,8 +41,7 @@
 	cp debian/CONF.sh debian/debian-cd/etc/debian-cd/conf.sh
 	ln -sf /etc/debian-cd/conf.sh \
                debian/debian-cd/usr/share/debian-cd/CONF.sh
-	find debian/debian-cd -name 'CVS' | xargs -r rm -rf
-	find debian/debian-cd -name '.#*' | xargs -r rm -f
+	find debian/debian-cd -name '.svn' | xargs -r rm -rf
 	find debian/debian-cd/usr/share/debian-cd/tools/boot \
 	  \( -name 'boot-*' -o -name 'post-boot-*' \) -a \! -name '*.txt' \
 	  -a \! -name '*.calc' |  xargs chmod 0755

## debian-cd 2.2.24

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-# Main Makefile for YACS
+# Main Makefile for debian-cd
 #
 # Copyright 1999 Raphal Hertzog <hertzog@debian.org>
 # See the README file for the license
@@ -47,7 +47,7 @@
 SRCVOLID="Debian $(DEBVERSION) Src-$$num"
 endif
 ifndef MKISOFS
-export MKISOFS=/usr/bin/mkisofs
+export MKISOFS=mkisofs
 endif
 ifndef MKISOFS_OPTS
 #For normal users
@@ -66,12 +66,9 @@
 ifndef DOJIGDO
 export DOJIGDO=0
 endif
-ifndef JIGDOSCRIPT
-JIGDOSCRIPT=$(BASEDIR)/tools/jigdo_header
-endif
-
+
+# Netinst/businesscard CD have different udeb_include and udeb_exclude files
 ifndef UDEB_INCLUDE
-# Netinst/businesscard CD have different udeb_include files
 ifeq ($(INSTALLER_CD),1)
 UDEB_INCLUDE=$(BASEDIR)/data/$(DI_CODENAME)/$(ARCH)_businesscard_udeb_include
 endif
@@ -79,11 +76,20 @@
 UDEB_INCLUDE=$(BASEDIR)/data/$(DI_CODENAME)/$(ARCH)_netinst_udeb_include
 endif
 endif
-# Default udeb_include files.
 ifndef UDEB_INCLUDE
 UDEB_INCLUDE=$(BASEDIR)/data/$(DI_CODENAME)/$(ARCH)_udeb_include
 endif
-
+ifndef UDEB_EXCLUDE
+ifeq ($(INSTALLER_CD),1)
+UDEB_EXCLUDE=$(BASEDIR)/data/$(DI_CODENAME)/businesscard_udeb_exclude
+endif
+ifeq ($(INSTALLER_CD),2)
+UDEB_EXCLUDE=$(BASEDIR)/data/$(DI_CODENAME)/netinst_udeb_exclude
+endif
+endif
+ifndef UDEB_EXCLUDE
+UDEB_EXCLUDE=$(BASEDIR)/data/$(DI_CODENAME)/udeb_exclude
+endif
 
 ## Internal variables  
 apt=$(BASEDIR)/tools/apt-selection
@@ -100,8 +106,14 @@
 set_mkisofs_opts=$(BASEDIR)/tools/set_mkisofs_opts
 strip_nonus_bin=$(BASEDIR)/tools/strip-nonUS-bin
 add_secured=$(BASEDIR)/tools/add_secured
-md5sum=/usr/bin/md5sum
+md5sum=md5sum
 fastsums=$(BASEDIR)/tools/fast_sums
+jigdo_cleanup=$(BASEDIR)/tools/jigdo_cleanup
+grab_md5=$(BASEDIR)/tools/grab_md5
+dedicated-src=$(BASEDIR)/tools/dedicated_source
+make_image=$(BASEDIR)/tools/make_image
+add_debs=$(BASEDIR)/tools/add_debs
+add_source_packages=$(BASEDIR)/tools/add_source_packages
 
 BDIR=$(TDIR)/$(CODENAME)-$(ARCH)
 ADIR=$(APTTMP)/$(CODENAME)-$(ARCH)
@@ -114,6 +126,9 @@
 else
 forcenonusoncd1=0
 endif
+
+# Ensure that debootstrap is in the path.
+PATH:=$(PATH):/usr/sbin
 
 ## DEBUG STUFF ##
 
@@ -169,13 +184,6 @@
 	@echo If we have FORCENONUSONCD1 set, we must also have NONUS set; false
 endif
 endif
-ifneq "$(DOJIGDO)" "0"
-ifndef JIGDOCMD
-	@echo JIGDOCMD undefined -- set up CONF.sh; false
-endif
-else
-export JIGDOCMD=false
-endif
 
 ## INITIALIZATION ##
 
@@ -192,14 +200,14 @@
 $(ADIR):
 	$(Q)mkdir -p $(ADIR)
 	$(Q)mkdir -p $(ADIR)/apt-ftparchive-db
-# Make sure unstable/sid points to testing/sarge, as there is no build
-# rule for unstable/sid. TODO: switch it to point to etch.
+# Make sure unstable/sid points to testing/etch, as there is no build
+# rule for unstable/sid.
 unstable-map:
 	$(Q)if [ ! -d $(BASEDIR)/data/sid ] ; then \
-		ln -s sarge $(BASEDIR)/data/sid ; \
+		ln -s etch $(BASEDIR)/data/sid ; \
 	fi
 	$(Q)if [ ! -d $(BASEDIR)/tools/boot/sid ] ; then \
-		ln -s sarge $(BASEDIR)/tools/boot/sid ; \
+		ln -s etch $(BASEDIR)/tools/boot/sid ; \
 	fi
 
 ## CLEANINGS ##
@@ -211,11 +219,11 @@
 	$(Q)rm -rf $(BDIR)/*_NONUS
 	$(Q)rm -f $(BDIR)/*.filelist*
 	$(Q)rm -f  $(BDIR)/packages-stamp $(BDIR)/bootable-stamp \
-	         $(BDIR)/upgrade-stamp $(BDIR)/secured-stamp
+	         $(BDIR)/upgrade-stamp $(BDIR)/secured-stamp $(BDIR)/md5-check
 src-clean:
 	$(Q)rm -rf $(SDIR)/CD[1234567890]*
 	$(Q)rm -rf $(SDIR)/*_NONUS
-	$(Q)rm -rf $(SDIR)/sources-stamp $(SDIR)/secured-stamp
+	$(Q)rm -rf $(SDIR)/sources-stamp $(SDIR)/secured-stamp $(SDIR)/md5-check
 
 # Completely cleans the current arch tree
 realclean: distclean
@@ -224,11 +232,9 @@
 	$(Q)echo "Cleaning the binary build directory"
 	$(Q)rm -rf $(BDIR)
 	$(Q)rm -rf $(ADIR)
-	$(Q)rm -rf $(TDIR)/jigdofilelist
 src-distclean:
 	$(Q)echo "Cleaning the source build directory"
 	$(Q)rm -rf $(SDIR)
-	$(Q)rm -rf $(TDIR)/jigdofilelist
 
 ## STATUS and APT ##
 
@@ -359,21 +365,27 @@
 
 # Build the raw list (cpp output) with doubles and spaces
 $(BDIR)/rawlist:
-# Dirty workaround for saving space on netinst images, we add some hints.
+# Dirty workaround for saving space, we add some hints to break ties.
 # This is just a temporal solution, list2cds should be a little bit less
 # silly so that this is not needed. For more info have a look at
 # http://lists.debian.org/debian-cd/2004/debian-cd-200404/msg00093.html
 ifneq ($(INSTALLER_CD),1)
-	/bin/echo -e "mawk\nexim4-daemon-light\nunifont" >>$(BDIR)/rawlist
-endif
+ifeq ($(INSTALLER_CD),2)
+	/bin/echo -e "mawk\nunifont\npptp-linux" >>$(BDIR)/rawlist
+else
+	/bin/echo -e "mawk\nexim4-daemon-light\nunifont\npptp-linux" >>$(BDIR)/rawlist
+endif
+endif # INSTALLER_CD 1
 ifdef FORCENONUSONCD1
 	$(Q)$(apt) cache dumpavail | \
 		grep-dctrl -FSection -n -sPackage -e '^(non-US|non-us)' - | \
 		sort | uniq > $(BDIR)/Debian_$(CODENAME)_nonUS
 endif
-	$(Q)if [ -x "/usr/sbin/debootstrap" -a _$(INSTALLER_CD) != _1 ]; then \
-		/usr/sbin/debootstrap --arch $(ARCH) --print-debs $(CODENAME) \
+	$(Q)if [ _$(INSTALLER_CD) != _1 ]; then \
+		mkdir -p $(TDIR); \
+		debootstrap --arch $(ARCH) --print-debs $(CODENAME) $(TDIR)/debootstrap.tmp file:$(MIRROR) \
 		| tr ' ' '\n' >>$(BDIR)/rawlist; \
+		rm -rf $(TDIR)/debootstrap.tmp; \
 	fi
 	$(Q)perl -npe 's/\@ARCH\@/$(ARCH)/g' $(TASK) | \
 	 cpp -nostdinc -nostdinc++ -P -undef -D ARCH=$(ARCH) -D ARCH_$(subst -,_,$(ARCH)) \
@@ -395,22 +407,3 @@
 
 ## DIRECTORIES && PACKAGES && INFOS ##
 
-# Create all the needed directories for installing packages (plus the
-# .disk directory)
-tree: bin-tree src-tree
-bin-tree: ok bin-list $(BDIR)/CD1/debian
-$(BDIR)/CD1/debian:
-	@echo "Adding the required directories to the binary CDs ..."
-	$(Q)set -e; \
-	 for i in $(BDIR)/*.packages; do \
-		dir=$${i%%.packages}; \
-		dir=$${dir##$(BDIR)/}; \
-		dir=$(BDIR)/CD$$dir; \
-		mkdir -p $$dir; \
-		$(add_dirs) $$dir; \
-	done
-
-src-tree: ok src-list $(SDIR)/CD1/debian
-$(SDIR)/CD1/debian:
-	@echo "Adding the required directories to the source CDs ..."
-	$(Q)set -e; \

=== debian/changelog ===
debian-cd (2.2.24) unstable; urgency=low

  [ Bdale Garbee ]
  * update lists of udebs for hppa to reflect kernel name changes, etc

  [ Richard Hirst ]
  * Fix ramdisk_size value for hppa for both etch and sarge

  [ Frans Pop ]
  * Update for Sparc:
    - sparc64: switch to 2.6.12 kernel; make CD multiboot 2.6 and 2.4,
      using 2.6.12 by default
    - sparc32: drop 2.6 kernel support as it has no 2.6.12 kernel
    - restructure silo.conf with proper support for install, expert and
      rescue boot options

  [ Joey Hess ]
  * Remove contrib/testingcds. For now the entire setup directory used to
    build Debian CDs is in svn at svn+ssh://svn.debian.org/svn/debian-cd/setup
  * Point sid symlinks at etch.
  * Now build etch CDs by default.
  * Remove DH_CODENAME unset from CONF.sh, to allow it to be passed in
    via the environemtn. Closes: #326814
  * Remove Debian_sid task, which dates from before woody and should not be
    used.
  * Don't hardcode the path to debootstrap. And assume there is a debootstrap
    available, as it is a dependency.
  * Since debootstrap is in sbin, add sbin to PATH.
  * Remove other random hadcoded paths to programs in bin.
  * generate_di+k_list: Deal with kernel package name change. All arches
    with 2.6 kernels will now include only linux-image packages.
  * generate_di+k_list: Add some mips and mipsel subarches that are new in
    etch or were missing before.
  * generate_di+k_list: Use kernel-image-2.4-<subarch> and
    linux-image-2.4-<subarch> packages for as many architectures as we can,
    instead of enumerating the versions of the kernels to include. Much
    cleaner and more robust and will make d-i more robust as well.
  * Update task.list with new etch (and some old sarge) tasks.
  * Update task-full-etch and improve the generation recipe.
  * Change debootstrap --print-debs calls to pass debootstrap a mirror to use
    and a temporary directory to work in, so it will avoid downloading the
    Packages files from its hardcoded mirror, and work on amd64 and other
    situations with a non-official Debian mirror. Neccessary since the new
    version of debootstrap has dependency resolution enabled by default.
  * Don't chmod amiboot if it doesn't exist.

  [ Sven Luther ]
  * Fixed powerpc cd builds, added powerpc64 kernels to etch/sid, dropped
    2.6.8 and remaining 2.4.27 kernels, except the nubus/apus ones. Added IBM
    chrp boot files. (Closes: #328274)

  [ Joey Hess ]
  * Order task-essential-etch using task.list, and regen to match current
    tasksel.
  * Add acpid to generate_di+k_list so it's on the netinst.
  * Add more udebs to excludes trying to trim the netinst size down.
  * Exclude cdebconf from CD1s to prevent both it and debconf being pulled in
    by | dependencies. cdebconf isn't usable right now and has a large
    dependency chain.
  * Exclude inetutils-inetd and openbsd-inetd from CD1 for similar resons.

  [ Colin Watson ]
  * generate_di+k_list: Add hfsutils for powerpc; it's no longer in base but
    yaboot-installer needs it.

  [ Steve McIntyre ]
  * For full CD/DVD builds, check that we have an "extra" override
    containing task info. If not, use the sid override instead.

  [ Joey Hess ]
  * Add default UDEB_EXCLUDE files that differ for businesscard, netinst, and
    full CDs.
  * Make the full CD have apt-mirror-setup in its udeb_exclude file, to avoid
    that component being installed to satisfy apt-setup's dependency on it (I
    hope), so that the user is not unncessarily asked for a mirror during a
    full CD install, but is still asked for one during installs from the
    smaller CDs.
  * Add initramfs-tools to generate_d-i+k_list

  [ Steve McIntyre ]
  * Merged in MAJOR changes for jigdo creation - the long-separated JTE
    patch.
  * Split out the actual ISO/jigdo creation code from the Makefile into
    tools/make_image

  [ Joey Hess ]
  * Explicitly list ppp and pppoeconf in generate_d-i+k_list, since they are
    not installed by debootstrap and we do want them on netinst CDs.

  [ Steve McIntyre ]
  * Split out the code that copies debs into the temporary trees and
    creates Packages files from the Makefile into tools/add_debs
  * Split out the code that copies sources into the temporary trees and
    creates Sources files from the Makefile into tools/add_source_packages

  * MAJOR CHANGE: Stop using apt-ftparchive to generate the Packages
    files on each CD/DVD; instead grab the details for each package
    directly from the Packages file in the archive. MUCH MUCH faster,
    and uses less code too. Affected scripts:

    + tools/scanpackages now just generates Release files. argv[1]
      used to be "scan" or "install", but no longer used

    + tools/add_debs slightly simplified - old code removed

    + tools/add_packages now dumps out Packages file fragments as each
      .deb and .udeb is copied into the temporary trees

    + WARNING: Any uses of the "before-scanpackages" hook may now
      break - shout if you're affected.

  * Fix the new Packages file generation to cope with LOCAL packages
    too. A simple change to add checking for /local/ ; hopefully it
    will do the trick.

  * Use "|" rather than "/" as a sed separator in the etch boot-amd64
    and boot-i386 scripts. Closes: #342344

  * Add the ppptp-linux package to CD#1. Quick hack adds this from the
    Makefile for now; FIXME later... Closes: #255367

  * Minor change to correct the README - BASEDIR var means we don't
    have to cd to /usr/share/debian-cd/ any more. Closes: #280191

  [ Joey Hess ]
  * Update base-etch with current debootstrap, and also update the recipe to
    create it due to changes in debootstrap.
  * Remove exim4 from the netinst CDs by adding further insane cruft to the
    insane cruft already in the Makefile. (debootstrap no longer installs an
    MTA, so this should save some useful space on the netinsts)
  * Remove lvm10 from generate_di+k_list, d-i uses lvm2 now.
